[Unit]
Description=DigitalRebar Provision Client Runner Initial Runnable
Documentation=https://docs.rackn.io/stable/
After=network-online.target network.target

[Service]
Type=simple
EnvironmentFile=/etc/drpcli
ExecStartPre=-/bin/curl -g -o /opt/bin/drpcli "{{.ProvisionerURL}}/files/drpcli.amd64.linux"
ExecStartPre=-/bin/cp /opt/bin/drpcli /usr/local/bin/drpcli
ExecStartPre=-/bin/chmod +x /opt/bin/drpcli
ExecStartPre=-/bin/chmod +x /usr/local/bin/drpcli
ExecStartPre=-/usr/sbin/setenforce 0
ExecStart=/opt/bin/drpcli machines update "$RS_UUID" '{ "Runnable": true }'
RemainAfterExit=true
Restart=on-failure
RestartSec=5s
StandardOutput=journal

[Install]
WantedBy=multi-user.target